incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Fernand Vanrie <...@pmgroup.be>
Subject Re: [API] Re: No addRow method in XGridDataModel interface in Oo 3.4 beta
Date Tue, 15 Nov 2011 08:59:48 GMT
Ariel, Gerardo

I am working with LibreOffice OOO340m1 (Build:302) and all new featers 
(like Backgroundcolors etc..) using the API and Basic seems to work:

dlg.Model.createInstance("com.sun.star.awt.grid.UnoControlGridModel")
gcolm2 = CreateUnoService("com.sun.star.awt.grid.DefaultGridColumnModel")
gcolm2.addColumn(oCol)
gdatam2 = CreateUnoService("com.sun.star.awt.grid.DefaultGridDataModel")
gdatam2.addRow(nRowCount,oData2())

Greetz

Fernand
> Hello Ariel.
> Thank you again for pointing me in to the right direction. I think this
> same error is caused in LibreOffice by this change in the UNO-AWT API.
> Thanks.
>
> On Mon, Nov 14, 2011 at 6:40 PM, Ariel Constenla-Haile<
> ariel.constenla.haile@gmail.com>  wrote:
>
>> Hi Gerardo,
>>
>> On Mon, Nov 14, 2011 at 06:02:46PM -0600, Gerardo Gómez wrote:
>>> Hello.
>>> I've developed an extension which uses the XGridDataModel (especifically
>> a
>>> grid). This extension works ok on Ooo 3.3, but when i try to use it in
>> the
>>> new version, the 3.4 beta, the dialog that has the grid doesn't work at
>>> all. This message is shown when i try to display the dialog with the
>> grid:
>>> /opt/ooo-dev3/program/../basis-link/ure-link/lib/libstdc++.so.6: version
>>> `GLIBCXX_3.4.11' not found (required by /usr/lib/libproxy.so.1)
>>> Failed to load module: /usr/lib/gio/modules/libgiolibproxy.so
>>> Exception in thread "Thread-175" java.lang.NoSuchMethodError:
>>>
>> com.sun.star.awt.grid.XGridDataModel.addRow(Ljava/lang/String;[Ljava/lang/Object;)V
>>>          at util.OoGridDataModel.addRow(OoGridDataModel.java:43)
>>>          at util.OoGridDataModel.addRow(OoGridDataModel.java:39)
>>>          at
>>>
>> org.openoffice.gdocs.ui.dialogs.ImportDialog.getDocumentsGrid(ImportDialog.java:811)
>>>          at
>>>
>> org.openoffice.gdocs.ui.dialogs.ImportDialog.initComponents(ImportDialog.java:319)
>>>          at
>>>
>> org.openoffice.gdocs.ui.dialogs.ImportDialog.<init>(ImportDialog.java:257)
>>>          at org.openoffice.gdocs.UNOGDocs$3.run(UNOGDocs.java:262)
>>>          at java.lang.Thread.run(Thread.java:662)
>>>
>>> I think that this problem has to do with the new version (maybe because
>> it
>>> is a beta).
>> the API was changed in an incompatible way with
>> http://hg.services.openoffice.org/OOO340/rev/435dac48d5dd
>> since 3.4 you have to use css.awt.grid.XMutableGridDataModel, it should
>> be document on the SDK you downloaded with OOo 3.4 beta
>>
>>
>> Regards
>> --
>> Ariel Constenla-Haile
>> La Plata, Argentina
>>


Mime
View raw message